#

API Docs for: 2.0.0
Show: Inherited Protected Private Deprecated

# JsonLoader Class

Uses

- EventTarget

Defined in: `src/pixi/loaders/JsonLoader.js:5`
Module: PIXI

The json file loader is used to load in JSON data and parse it When loaded this class will dispatch a 'loaded' event If loading fails this class will dispatch an 'error' event

## Constructor

### `JsonLoader`

(

- `url`
- `crossorigin`

)

Defined in `src/pixi/loaders/JsonLoader.js:5`

#### Parameters:

- `url` String

  The url of the JSON file

- `crossorigin` Boolean

  Whether requests should be treated as crossorigin

- Index
- Methods
- Properties

## Item Index

### Methods

- emit
- listeners
- load
- mixin
- off
- on
- once
- onError
- onJSONLoaded
- onLoaded
- removeAllListeners

### Properties

- baseUrl
- crossorigin
- loaded
- url

## Methods

### `emit`

(

- `eventName`

)
Boolean

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:54`

Emit an event to all registered event listeners.

#### Parameters:

- `eventName` String

  The name of the event.

#### Returns:

Boolean:

Indication if we've emitted an event.

### `listeners`

(

- `eventName`

)
Array

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:41`

Return a list of assigned event listeners.

#### Parameters:

- `eventName` String

  The events that should be listed.

#### Returns:

Array:

An array of listener functions

### `load`

()

Defined in `src/pixi/loaders/JsonLoader.js:59`

Loads the JSON data

### `mixin`

(

- `object`

)

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:34`

Mixes in the properties of the EventTarget prototype onto another object

#### Parameters:

- `object` Object

  The obj to mix into

### `off`

(

- `eventName`
- `callback`

)

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:143`

Remove event listeners.

#### Parameters:

- `eventName` String

  The event we want to remove.

- `callback` Function

  The listener that we need to find.

### `on`

(

- `eventName`
- `callback`

)

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:107`

Register a new EventListener for the given event.

#### Parameters:

- `eventName` String

  Name of the event.

- `callback` Functon

  fn Callback function.

### `once`

(

- `eventName`
- `callback`

)

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:124`

Add an EventListener that's only called once.

#### Parameters:

- `eventName` String

  Name of the event.

- `callback` Function

  Callback function.

### `onError`

() private

Defined in `src/pixi/loaders/JsonLoader.js:176`

Invoked if an error occurs.

### `onJSONLoaded`

() private

Defined in `src/pixi/loaders/JsonLoader.js:98`

Invoked when the JSON file is loaded.

### `onLoaded`

() private

Defined in `src/pixi/loaders/JsonLoader.js:162`

Invoked when the json file has loaded.

### `removeAllListeners`

(

- `eventName`

)

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:173`

Remove all listeners or only the listeners for the specified event.

#### Parameters:

- `eventName` String

  The event you want to remove all listeners for.

## Properties

### `baseUrl`

String

Defined in `src/pixi/loaders/JsonLoader.js:34`

[read-only] The base url of the bitmap font data

### `crossorigin`

Boolean

Defined in `src/pixi/loaders/JsonLoader.js:26`

Whether the requests should be treated as cross origin

### `loaded`

Boolean

Defined in `src/pixi/loaders/JsonLoader.js:43`

[read-only] Whether the data has loaded yet

### `url`

String

Defined in `src/pixi/loaders/JsonLoader.js:18`

The url of the bitmap font data